Bug 142124 - certain dev's not found with 8.01
certain dev's not found with 8.01
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 10:13 EST by Sammy
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2004-12-07 10:13:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) (KHTML, like Gecko)

Description of problem:
On my lBM ThinkPad T42 laptop I have HSF modem drivers installed.
With 7.93.x versions everything works fine. With 8.00 and 8.01 I am
getting an error message (right after udev creates devices) that the device
/dev/hsfdcp0 cannot be found (some hsf module is looking for it). Consequently
non of the hsf stuff is started. I am not running selinux.

Here is the HSF stuff from modprobe.conf:

alias /dev/ttySHSF[0-9]* /dev/ttySHSF
alias /dev/modem /dev/ttySHSF
alias char-major-240 /dev/ttySHSF
alias char-major-240-* /dev/ttySHSF
options hsfserial serialmajor=240
alias char-major-242 hsfosspec
alias char-major-242-* hsfosspec
alias /dev/hsfdiag hsfosspec
alias /dev/hsfdiag* /dev/hsfdiag
alias char-major-243 /dev/hsfdiag
alias char-major-243-* /dev/hsfdiag
options hsfosspec dcpmajor=242 diagmajor=243
install /dev/ttySHSF /sbin/modprobe hsfpcibasic2; /sbin/modprobe hsfmc97ich; /sbin/modprobe hsfmc97via; /sbin/modprobe hsfmc97ali; [ -e /lib/modules/`uname -r`/misc/hsfusbcd2.ko ]&& /sbin/modprobe hsfusbcd2; /bin/true


Version-Release number of selected component (if applicable):
initscripts-8.01-1

How reproducible:
Always

Steps to Reproduce:
1.update initscripts to 8.01
2.reboot
3.
    

Additional info:
Comment 1 Bill Nottingham 2004-12-07 10:49:51 EST
alias /dev/XXX seems wrong.

If the HSF files are looking for devices, they probably need to put
their scripts that are looking for them in /etc/dev.d.
Comment 2 Sammy 2004-12-07 11:08:33 EST
These were put in there automatically BUT they seem to work fine
with initscripts 7.93.x (everything else being the same). I can't
see by looking into rc.sysinit which difference is causing this.
Comment 3 Bill Nottingham 2005-10-03 16:12:37 EDT
Does this work any better with FC4?

Exactly what sort of config and script modifications (outside of the
modprobe.conf snippet above) do you have?

It looks like an error in the added handlers for that device.
Comment 4 John Thacker 2006-05-05 16:34:04 EDT
Closing due to lack of response by reporter.

Note You need to log in before you can comment on or make changes to this bug.